%define _name gst-rtsp
%def_disable introspection

Name: lib%_name
Version: 0.10.7
Release: alt1

Summary: GStreamer RTSP server library
Group: System/Libraries
License: LGPLv2+
Url: http://gstreamer.freedesktop.org/modules/%_name-server.html
Source: http://people.freedesktop.org/src/%_name/%_name-%version.tar.bz2

%define glib_ver 2.10.0
%define gst_ver 0.10.29

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gstreamer-devel >= %gst_ver
BuildPreReq: gst-plugins-devel >= %gst_ver
# for Python bindings
BuildRequires: python-module-gst-devel python-module-pygobject-devel
# fro Vala bindings
BuildRequires: libvala-devel >= 0.10.0

%description
A GStreamer-based RTSP server library with Python and Vala bindings.

%package devel
Summary: Development files for %_name
Group: Development/C
Requires: %name = %version-%release

%description devel
Development files for the GStreamer RTSP server library.

%package -n python-module-%_name
Summary: Python bindings for %_name
Group: Development/Python
Requires: %name = %version-%release

%description -n python-module-%_name
Python bindings for GStreamer RTSP server library.

%package vala
Summary: Vala bindings for %name
Group: Development/Other
Requires: %name = %version-%release

%description vala
Vala bindings for the GStreamer RTSP server library.

%prep
%setup -q -n %_name-%version

%build
%configure \
	--disable-static \
	%{subst_enable introspection}

%make_build

%install
make DESTDIR=%buildroot install

%files
%_libdir/*.so.*
%doc README TODO NEWS

%files devel
%_includedir/gstreamer-0.10/gst/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/gst-rtsp/

%files -n python-module-%_name
%python_sitelibdir/gst-0.10/gst/*.so
%exclude %python_sitelibdir/gst-0.10/gst/*.la

%files vala
%_datadir/vala/vapi/*.deps
%_datadir/vala/vapi/*.vapi


%changelog
* Thu Oct 21 2010 Yuri N. Sedunov <aris@altlinux.org> 0.10.7-alt1
- 0.10.7

* Thu Jan 28 2010 Yuri N. Sedunov <aris@altlinux.org> 0.10.5-alt1
- first build for Sisyphus

